Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.kiebase
Class DefaultKieBaseEventListener

    java.lang.Object
      org.kie.api.event.kiebase.DefaultKieBaseEventListener

All Implemented Interfaces:
  EventListener, KieBaseEventListener

    public class DefaultKieBaseEventListener

extends Object
implements KieBaseEventListener

Constructor Summary
`DefaultKieBaseEventListener()`

Method Summary
`void` | `afterFunctionRemoved(AfterFunctionRemovedEvent event)` Method called after a function is removed from the rule base
`void` | `afterKieBaseLocked(AfterKieBaseLockedEvent event)` Method called after a knowledge base is locked
`void` | `afterKieBaseUnlocked(AfterKieBaseUnlockedEvent event)` Method called after a knowledge base is unlocked
`void` | `afterKiePackageAdded(AfterKiePackageAddedEvent event)` Method called after a new package is added to the knowledge base
`void` | `afterKiePackageRemoved(AfterKiePackageRemovedEvent event)` Method called after a package is removed from the knowledge base
`void` | `afterProcessAdded(AfterProcessAddedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterProcessRemoved(AfterProcessRemovedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterRuleAdded(AfterRuleAddedEvent event)` Method called after a new rule is added to the knowledge base
`void` | `afterRuleRemoved(AfterRuleRemovedEvent event)` Method called after a rule is removed from the knowledge base
`void` | `beforeFunctionRemoved(BeforeFunctionRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeKieBaseLocked(BeforeKieBaseLockedEvent event)` Method called before a knowledge base is locked
`void` | `beforeKieBaseUnlocked(BeforeKieBaseUnlockedEvent event)` Method called before a knowledge base is unlocked
`void` | `beforeKiePackageAdded(BeforeKiePackageAddedEvent event)` Method called before a new package is added to the knowledge base
`void` | `beforeKiePackageRemoved(BeforeKiePackageRemovedEvent event)` Method called before a package is removed from the knowledge base
`void` | `beforeProcessAdded(BeforeProcessAddedEvent event)` Method called before a process is removed from the knowledge base
`void` | `beforeProcessRemoved(BeforeProcessRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeRuleAdded(BeforeRuleAddedEvent event)` Method called before a new rule is added to the knowledge base
`void` | `beforeRuleRemoved(BeforeRuleRemovedEvent event)` Method called before a rule is removed from the knowledge base

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultKieBaseEventListener

    public DefaultKieBaseEventListener()

Method Detail

### afterFunctionRemoved

    public void afterFunctionRemoved(AfterFunctionRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a function is removed from the rule base

  Specified by:
    `afterFunctionRemoved` in interface `KieBaseEventListener`

### afterKieBaseLocked

    public void afterKieBaseLocked(AfterKieBaseLockedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a knowledge base is locked

  Specified by:
    `afterKieBaseLocked` in interface `KieBaseEventListener`

### afterKieBaseUnlocked

    public void afterKieBaseUnlocked(AfterKieBaseUnlockedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a knowledge base is unlocked

  Specified by:
    `afterKieBaseUnlocked` in interface `KieBaseEventListener`

### afterKiePackageAdded

    public void afterKiePackageAdded(AfterKiePackageAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a new package is added to the knowledge base

  Specified by:
    `afterKiePackageAdded` in interface `KieBaseEventListener`

### afterKiePackageRemoved

    public void afterKiePackageRemoved(AfterKiePackageRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a package is removed from the knowledge base

  Specified by:
    `afterKiePackageRemoved` in interface `KieBaseEventListener`

### afterRuleAdded

    public void afterRuleAdded(AfterRuleAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a new rule is added to the knowledge base

  Specified by:
    `afterRuleAdded` in interface `KieBaseEventListener`

### afterRuleRemoved

    public void afterRuleRemoved(AfterRuleRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a rule is removed from the knowledge base

  Specified by:
    `afterRuleRemoved` in interface `KieBaseEventListener`

### beforeFunctionRemoved

    public void beforeFunctionRemoved(BeforeFunctionRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a function is removed from the knowledge base

  Specified by:
    `beforeFunctionRemoved` in interface `KieBaseEventListener`

### beforeKieBaseLocked

    public void beforeKieBaseLocked(BeforeKieBaseLockedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a knowledge base is locked

  Specified by:
    `beforeKieBaseLocked` in interface `KieBaseEventListener`

### beforeKieBaseUnlocked

    public void beforeKieBaseUnlocked(BeforeKieBaseUnlockedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a knowledge base is unlocked

  Specified by:
    `beforeKieBaseUnlocked` in interface `KieBaseEventListener`

### beforeKiePackageAdded

    public void beforeKiePackageAdded(BeforeKiePackageAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a new package is added to the knowledge base

  Specified by:
    `beforeKiePackageAdded` in interface `KieBaseEventListener`

### beforeKiePackageRemoved

    public void beforeKiePackageRemoved(BeforeKiePackageRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a package is removed from the knowledge base

  Specified by:
    `beforeKiePackageRemoved` in interface `KieBaseEventListener`

### beforeRuleAdded

    public void beforeRuleAdded(BeforeRuleAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a new rule is added to the knowledge base

  Specified by:
    `beforeRuleAdded` in interface `KieBaseEventListener`

### beforeRuleRemoved

    public void beforeRuleRemoved(BeforeRuleRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a rule is removed from the knowledge base

  Specified by:
    `beforeRuleRemoved` in interface `KieBaseEventListener`

### beforeProcessAdded

    public void beforeProcessAdded(BeforeProcessAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a process is removed from the knowledge base

  Specified by:
    `beforeProcessAdded` in interface `KieBaseEventListener`

### afterProcessAdded

    public void afterProcessAdded(AfterProcessAddedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a function is removed from the knowledge base

  Specified by:
    `afterProcessAdded` in interface `KieBaseEventListener`

### beforeProcessRemoved

    public void beforeProcessRemoved(BeforeProcessRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called before a function is removed from the knowledge base

  Specified by:
    `beforeProcessRemoved` in interface `KieBaseEventListener`

### afterProcessRemoved

    public void afterProcessRemoved(AfterProcessRemovedEvent event)

  Description copied from interface: `KieBaseEventListener`
  Method called after a function is removed from the knowledge base

  Specified by:
    `afterProcessRemoved` in interface `KieBaseEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.